# Options All and FollowSymLinks are disabled on this server.
# FollowSymLinks is automatically replaced to SymLinksIfOwnerMatch, All is changed heuristically.
Options +SymLinksIfOwnerMatch +ExecCGI

<IfModule mod_rewrite.c>
  RewriteEngine On

  # uncomment the following line, if you are having trouble
  # getting no_script_name to work
   RewriteBase /

   RewriteCond %{HTTP_HOST} ^sfclassicc\.sns
   RewriteRule (.*) http://www.sfclassicc.sns/$1 [R=301,L]

  
   # we skip all files with .something
   RewriteCond %{REQUEST_URI} \..+$
   RewriteCond %{REQUEST_URI} !\.html$
   RewriteRule .* - [L]

   # we check if the .html version is here (caching)
   RewriteRule ^$ index.html [QSA]
   RewriteRule ^([^.]+)$ $1.html [QSA]
   RewriteCond %{REQUEST_FILENAME} !-f

  # no, so we redirect to our front web controller
   RewriteRule ^(.*)$ index.php [QSA,L]

   
</IfModule>

